Subject: bug#33441: reading and printing Lisp Objects - what changed from 25.3.1 to 26.1?

From: Noam Postavsky <[email-masked]>
Date: Mon, 01 Apr 2019 19:55:15 -0400

Peter Milliken <[email-masked]> writes:

> I'm not sure that I am giving up on Emacs maintenance - the reference Noam
> supplied indicates this is a "well known" issue and somebody, has some
> intention, at some stage, to do something about it, but given the last
> update to referenced bug/email stream was 268 days ago, that intention may
> be on the back burner :-)

Hi, I'm reviewing some old bugs, and I think I missed explicitly giving
the obvious suggestion to you here the first time around.  Does it help
to let-bind print-circle to t in dump-language-to-file?  Bug#29220 has a
lot more going on because it concerns eieio-persist* functions, which as
far as I can tell, your package is not using.

> Faking up a code snippet is not necessarily that easy

Possibly I'm missing something, but is there more to your problem than
this?

    (defclass foo ()
      ())

    (read (prin1-to-string (make-instance 'foo))) ;=> (invalid-read-syntax "#")

    (read (let ((print-circle t))
            (prin1-to-string (make-instance 'foo)))) ;=> #s(#s(eieio--class foo ...))